Modify TP/SL Prices on a TP/SL Planned Order
Response Example
{
"success": true,
"code": 0
}
- POST
/api/v1/private/stoporder/change_plan_price
Required Permission: Order Placing
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| lossTrend | int | false | Stop-loss price type: 1 Latest Price; 2 Fair Price; 3 Index Price |
| profitTrend | int | false | Take-profit price type: 1 Latest Price; 2 Fair Price; 3 Index Price |
| stopPlanOrderId | long | true | TP/SL planned order ID |
| stopLossPrice | decimal | false | Stop-loss price. At least one of TP/SL must be non-empty and greater than 0 |
| takeProfitPrice | decimal | false | Take-profit price. At least one of TP/SL must be non-empty and greater than 0 |
| takeProfitReverse | int | false | Reverse on take-profit: 1 Yes; 2 No |
| stopLossReverse | int | false | Reverse on stop-loss: 1 Yes; 2 No |
Response Parameters:
Common parameters; success: true for success, false for failure